1. Packages
  2. Azure Native
  3. API Docs
  4. netapp
  5. ElasticBackupPolicy
This is the latest version of Azure Native. Use the Azure Native v2 docs if using the v2 version of this package.
Viewing docs for Azure Native v3.15.0
published on Wednesday, Mar 4, 2026 by Pulumi
azure-native logo
This is the latest version of Azure Native. Use the Azure Native v2 docs if using the v2 version of this package.
Viewing docs for Azure Native v3.15.0
published on Wednesday, Mar 4, 2026 by Pulumi

    NetApp Elastic Backup Policy resource

    Uses Azure REST API version 2025-09-01-preview.

    Example Usage

    ElasticBackupPolicies_CreateOrUpdate

    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using AzureNative = Pulumi.AzureNative;
    
    return await Deployment.RunAsync(() => 
    {
        var elasticBackupPolicy = new AzureNative.NetApp.ElasticBackupPolicy("elasticBackupPolicy", new()
        {
            AccountName = "account1",
            BackupPolicyName = "backupPolicyName",
            Location = "westus",
            Properties = new AzureNative.NetApp.Inputs.ElasticBackupPolicyPropertiesArgs
            {
                DailyBackupsToKeep = 10,
                MonthlyBackupsToKeep = 10,
                PolicyState = AzureNative.NetApp.ElasticBackupPolicyState.Enabled,
                WeeklyBackupsToKeep = 10,
            },
            ResourceGroupName = "myRG",
        });
    
    });
    
    package main
    
    import (
    	netapp "github.com/pulumi/pulumi-azure-native-sdk/netapp/v3"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := netapp.NewElasticBackupPolicy(ctx, "elasticBackupPolicy", &netapp.ElasticBackupPolicyArgs{
    			AccountName:      pulumi.String("account1"),
    			BackupPolicyName: pulumi.String("backupPolicyName"),
    			Location:         pulumi.String("westus"),
    			Properties: &netapp.ElasticBackupPolicyPropertiesArgs{
    				DailyBackupsToKeep:   pulumi.Int(10),
    				MonthlyBackupsToKeep: pulumi.Int(10),
    				PolicyState:          pulumi.String(netapp.ElasticBackupPolicyStateEnabled),
    				WeeklyBackupsToKeep:  pulumi.Int(10),
    			},
    			ResourceGroupName: pulumi.String("myRG"),
    		})
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.azurenative.netapp.ElasticBackupPolicy;
    import com.pulumi.azurenative.netapp.ElasticBackupPolicyArgs;
    import com.pulumi.azurenative.netapp.inputs.ElasticBackupPolicyPropertiesArgs;
    import java.util.List;
    import java.util.ArrayList;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            var elasticBackupPolicy = new ElasticBackupPolicy("elasticBackupPolicy", ElasticBackupPolicyArgs.builder()
                .accountName("account1")
                .backupPolicyName("backupPolicyName")
                .location("westus")
                .properties(ElasticBackupPolicyPropertiesArgs.builder()
                    .dailyBackupsToKeep(10)
                    .monthlyBackupsToKeep(10)
                    .policyState("Enabled")
                    .weeklyBackupsToKeep(10)
                    .build())
                .resourceGroupName("myRG")
                .build());
    
        }
    }
    
    import * as pulumi from "@pulumi/pulumi";
    import * as azure_native from "@pulumi/azure-native";
    
    const elasticBackupPolicy = new azure_native.netapp.ElasticBackupPolicy("elasticBackupPolicy", {
        accountName: "account1",
        backupPolicyName: "backupPolicyName",
        location: "westus",
        properties: {
            dailyBackupsToKeep: 10,
            monthlyBackupsToKeep: 10,
            policyState: azure_native.netapp.ElasticBackupPolicyState.Enabled,
            weeklyBackupsToKeep: 10,
        },
        resourceGroupName: "myRG",
    });
    
    import pulumi
    import pulumi_azure_native as azure_native
    
    elastic_backup_policy = azure_native.netapp.ElasticBackupPolicy("elasticBackupPolicy",
        account_name="account1",
        backup_policy_name="backupPolicyName",
        location="westus",
        properties={
            "daily_backups_to_keep": 10,
            "monthly_backups_to_keep": 10,
            "policy_state": azure_native.netapp.ElasticBackupPolicyState.ENABLED,
            "weekly_backups_to_keep": 10,
        },
        resource_group_name="myRG")
    
    resources:
      elasticBackupPolicy:
        type: azure-native:netapp:ElasticBackupPolicy
        properties:
          accountName: account1
          backupPolicyName: backupPolicyName
          location: westus
          properties:
            dailyBackupsToKeep: 10
            monthlyBackupsToKeep: 10
            policyState: Enabled
            weeklyBackupsToKeep: 10
          resourceGroupName: myRG
    

    Create ElasticBackupPolicy Resource

    Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.

    Constructor syntax

    new ElasticBackupPolicy(name: string, args: ElasticBackupPolicyArgs, opts?: CustomResourceOptions);
    @overload
    def ElasticBackupPolicy(resource_name: str,
                            args: ElasticBackupPolicyArgs,
                            opts: Optional[ResourceOptions] = None)
    
    @overload
    def ElasticBackupPolicy(resource_name: str,
                            opts: Optional[ResourceOptions] = None,
                            account_name: Optional[str] = None,
                            resource_group_name: Optional[str] = None,
                            backup_policy_name: Optional[str] = None,
                            location: Optional[str] = None,
                            properties: Optional[ElasticBackupPolicyPropertiesArgs] = None,
                            tags: Optional[Mapping[str, str]] = None)
    func NewElasticBackupPolicy(ctx *Context, name string, args ElasticBackupPolicyArgs, opts ...ResourceOption) (*ElasticBackupPolicy, error)
    public ElasticBackupPolicy(string name, ElasticBackupPolicyArgs args, CustomResourceOptions? opts = null)
    public ElasticBackupPolicy(String name, ElasticBackupPolicyArgs args)
    public ElasticBackupPolicy(String name, ElasticBackupPolicyArgs args, CustomResourceOptions options)
    
    type: azure-native:netapp:ElasticBackupPolicy
    properties: # The arguments to resource properties.
    options: # Bag of options to control resource's behavior.
    
    

    Parameters

    name string
    The unique name of the resource.
    args ElasticBackupPolicyArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    resource_name str
    The unique name of the resource.
    args ElasticBackupPolicyArgs
    The arguments to resource properties.
    opts ResourceOptions
    Bag of options to control resource's behavior.
    ctx Context
    Context object for the current deployment.
    name string
    The unique name of the resource.
    args ElasticBackupPolicyArgs
    The arguments to resource properties.
    opts ResourceOption
    Bag of options to control resource's behavior.
    name string
    The unique name of the resource.
    args ElasticBackupPolicyArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    name String
    The unique name of the resource.
    args ElasticBackupPolicyArgs
    The arguments to resource properties.
    options CustomResourceOptions
    Bag of options to control resource's behavior.

    Constructor example

    The following reference example uses placeholder values for all input properties.

    var elasticBackupPolicyResource = new AzureNative.NetApp.ElasticBackupPolicy("elasticBackupPolicyResource", new()
    {
        AccountName = "string",
        ResourceGroupName = "string",
        BackupPolicyName = "string",
        Location = "string",
        Properties = new AzureNative.NetApp.Inputs.ElasticBackupPolicyPropertiesArgs
        {
            DailyBackupsToKeep = 0,
            MonthlyBackupsToKeep = 0,
            PolicyState = "string",
            WeeklyBackupsToKeep = 0,
        },
        Tags = 
        {
            { "string", "string" },
        },
    });
    
    example, err := netapp.NewElasticBackupPolicy(ctx, "elasticBackupPolicyResource", &netapp.ElasticBackupPolicyArgs{
    	AccountName:       pulumi.String("string"),
    	ResourceGroupName: pulumi.String("string"),
    	BackupPolicyName:  pulumi.String("string"),
    	Location:          pulumi.String("string"),
    	Properties: &netapp.ElasticBackupPolicyPropertiesArgs{
    		DailyBackupsToKeep:   pulumi.Int(0),
    		MonthlyBackupsToKeep: pulumi.Int(0),
    		PolicyState:          pulumi.String("string"),
    		WeeklyBackupsToKeep:  pulumi.Int(0),
    	},
    	Tags: pulumi.StringMap{
    		"string": pulumi.String("string"),
    	},
    })
    
    var elasticBackupPolicyResource = new ElasticBackupPolicy("elasticBackupPolicyResource", ElasticBackupPolicyArgs.builder()
        .accountName("string")
        .resourceGroupName("string")
        .backupPolicyName("string")
        .location("string")
        .properties(ElasticBackupPolicyPropertiesArgs.builder()
            .dailyBackupsToKeep(0)
            .monthlyBackupsToKeep(0)
            .policyState("string")
            .weeklyBackupsToKeep(0)
            .build())
        .tags(Map.of("string", "string"))
        .build());
    
    elastic_backup_policy_resource = azure_native.netapp.ElasticBackupPolicy("elasticBackupPolicyResource",
        account_name="string",
        resource_group_name="string",
        backup_policy_name="string",
        location="string",
        properties={
            "daily_backups_to_keep": 0,
            "monthly_backups_to_keep": 0,
            "policy_state": "string",
            "weekly_backups_to_keep": 0,
        },
        tags={
            "string": "string",
        })
    
    const elasticBackupPolicyResource = new azure_native.netapp.ElasticBackupPolicy("elasticBackupPolicyResource", {
        accountName: "string",
        resourceGroupName: "string",
        backupPolicyName: "string",
        location: "string",
        properties: {
            dailyBackupsToKeep: 0,
            monthlyBackupsToKeep: 0,
            policyState: "string",
            weeklyBackupsToKeep: 0,
        },
        tags: {
            string: "string",
        },
    });
    
    type: azure-native:netapp:ElasticBackupPolicy
    properties:
        accountName: string
        backupPolicyName: string
        location: string
        properties:
            dailyBackupsToKeep: 0
            monthlyBackupsToKeep: 0
            policyState: string
            weeklyBackupsToKeep: 0
        resourceGroupName: string
        tags:
            string: string
    

    ElasticBackupPolicy Resource Properties

    To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.

    Inputs

    In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.

    The ElasticBackupPolicy resource accepts the following input properties:

    AccountName string
    The name of the ElasticAccount
    ResourceGroupName string
    The name of the resource group. The name is case insensitive.
    BackupPolicyName string
    The name of the ElasticBackupPolicy
    Location string
    The geo-location where the resource lives
    Properties Pulumi.AzureNative.NetApp.Inputs.ElasticBackupPolicyProperties
    The resource-specific properties for this resource.
    Tags Dictionary<string, string>
    Resource tags.
    AccountName string
    The name of the ElasticAccount
    ResourceGroupName string
    The name of the resource group. The name is case insensitive.
    BackupPolicyName string
    The name of the ElasticBackupPolicy
    Location string
    The geo-location where the resource lives
    Properties ElasticBackupPolicyPropertiesArgs
    The resource-specific properties for this resource.
    Tags map[string]string
    Resource tags.
    accountName String
    The name of the ElasticAccount
    resourceGroupName String
    The name of the resource group. The name is case insensitive.
    backupPolicyName String
    The name of the ElasticBackupPolicy
    location String
    The geo-location where the resource lives
    properties ElasticBackupPolicyProperties
    The resource-specific properties for this resource.
    tags Map<String,String>
    Resource tags.
    accountName string
    The name of the ElasticAccount
    resourceGroupName string
    The name of the resource group. The name is case insensitive.
    backupPolicyName string
    The name of the ElasticBackupPolicy
    location string
    The geo-location where the resource lives
    properties ElasticBackupPolicyProperties
    The resource-specific properties for this resource.
    tags {[key: string]: string}
    Resource tags.
    account_name str
    The name of the ElasticAccount
    resource_group_name str
    The name of the resource group. The name is case insensitive.
    backup_policy_name str
    The name of the ElasticBackupPolicy
    location str
    The geo-location where the resource lives
    properties ElasticBackupPolicyPropertiesArgs
    The resource-specific properties for this resource.
    tags Mapping[str, str]
    Resource tags.
    accountName String
    The name of the ElasticAccount
    resourceGroupName String
    The name of the resource group. The name is case insensitive.
    backupPolicyName String
    The name of the ElasticBackupPolicy
    location String
    The geo-location where the resource lives
    properties Property Map
    The resource-specific properties for this resource.
    tags Map<String>
    Resource tags.

    Outputs

    All input properties are implicitly available as output properties. Additionally, the ElasticBackupPolicy resource produces the following output properties:

    AzureApiVersion string
    The Azure API version of the resource.
    ETag string
    If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
    Id string
    The provider-assigned unique ID for this managed resource.
    Name string
    The name of the resource
    SystemData Pulumi.AzureNative.NetApp.Outputs.SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    Type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    AzureApiVersion string
    The Azure API version of the resource.
    ETag string
    If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
    Id string
    The provider-assigned unique ID for this managed resource.
    Name string
    The name of the resource
    SystemData SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    Type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azureApiVersion String
    The Azure API version of the resource.
    eTag String
    If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
    id String
    The provider-assigned unique ID for this managed resource.
    name String
    The name of the resource
    systemData SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type String
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azureApiVersion string
    The Azure API version of the resource.
    eTag string
    If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
    id string
    The provider-assigned unique ID for this managed resource.
    name string
    The name of the resource
    systemData SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azure_api_version str
    The Azure API version of the resource.
    e_tag str
    If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
    id str
    The provider-assigned unique ID for this managed resource.
    name str
    The name of the resource
    system_data SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type str
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azureApiVersion String
    The Azure API version of the resource.
    eTag String
    If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
    id String
    The provider-assigned unique ID for this managed resource.
    name String
    The name of the resource
    systemData Property Map
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type String
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

    Supporting Types

    ElasticBackupPolicyProperties, ElasticBackupPolicyPropertiesArgs

    Elastic Backup Policy properties
    DailyBackupsToKeep int
    Daily backups count to keep
    MonthlyBackupsToKeep int
    Monthly backups count to keep
    PolicyState string | Pulumi.AzureNative.NetApp.ElasticBackupPolicyState
    The property to identify whether Backup Policy is enabled or not
    WeeklyBackupsToKeep int
    Weekly backups count to keep
    DailyBackupsToKeep int
    Daily backups count to keep
    MonthlyBackupsToKeep int
    Monthly backups count to keep
    PolicyState string | ElasticBackupPolicyStateEnum
    The property to identify whether Backup Policy is enabled or not
    WeeklyBackupsToKeep int
    Weekly backups count to keep
    dailyBackupsToKeep Integer
    Daily backups count to keep
    monthlyBackupsToKeep Integer
    Monthly backups count to keep
    policyState String | ElasticBackupPolicyState
    The property to identify whether Backup Policy is enabled or not
    weeklyBackupsToKeep Integer
    Weekly backups count to keep
    dailyBackupsToKeep number
    Daily backups count to keep
    monthlyBackupsToKeep number
    Monthly backups count to keep
    policyState string | ElasticBackupPolicyState
    The property to identify whether Backup Policy is enabled or not
    weeklyBackupsToKeep number
    Weekly backups count to keep
    daily_backups_to_keep int
    Daily backups count to keep
    monthly_backups_to_keep int
    Monthly backups count to keep
    policy_state str | ElasticBackupPolicyState
    The property to identify whether Backup Policy is enabled or not
    weekly_backups_to_keep int
    Weekly backups count to keep
    dailyBackupsToKeep Number
    Daily backups count to keep
    monthlyBackupsToKeep Number
    Monthly backups count to keep
    policyState String | "Enabled" | "Disabled"
    The property to identify whether Backup Policy is enabled or not
    weeklyBackupsToKeep Number
    Weekly backups count to keep

    ElasticBackupPolicyPropertiesResponse, ElasticBackupPolicyPropertiesResponseArgs

    Elastic Backup Policy properties
    AssignedVolumesCount int
    The number of volumes currently using this Backup Policy.
    ProvisioningState string
    Azure lifecycle management.
    DailyBackupsToKeep int
    Daily backups count to keep
    MonthlyBackupsToKeep int
    Monthly backups count to keep
    PolicyState string
    The property to identify whether Backup Policy is enabled or not
    WeeklyBackupsToKeep int
    Weekly backups count to keep
    AssignedVolumesCount int
    The number of volumes currently using this Backup Policy.
    ProvisioningState string
    Azure lifecycle management.
    DailyBackupsToKeep int
    Daily backups count to keep
    MonthlyBackupsToKeep int
    Monthly backups count to keep
    PolicyState string
    The property to identify whether Backup Policy is enabled or not
    WeeklyBackupsToKeep int
    Weekly backups count to keep
    assignedVolumesCount Integer
    The number of volumes currently using this Backup Policy.
    provisioningState String
    Azure lifecycle management.
    dailyBackupsToKeep Integer
    Daily backups count to keep
    monthlyBackupsToKeep Integer
    Monthly backups count to keep
    policyState String
    The property to identify whether Backup Policy is enabled or not
    weeklyBackupsToKeep Integer
    Weekly backups count to keep
    assignedVolumesCount number
    The number of volumes currently using this Backup Policy.
    provisioningState string
    Azure lifecycle management.
    dailyBackupsToKeep number
    Daily backups count to keep
    monthlyBackupsToKeep number
    Monthly backups count to keep
    policyState string
    The property to identify whether Backup Policy is enabled or not
    weeklyBackupsToKeep number
    Weekly backups count to keep
    assigned_volumes_count int
    The number of volumes currently using this Backup Policy.
    provisioning_state str
    Azure lifecycle management.
    daily_backups_to_keep int
    Daily backups count to keep
    monthly_backups_to_keep int
    Monthly backups count to keep
    policy_state str
    The property to identify whether Backup Policy is enabled or not
    weekly_backups_to_keep int
    Weekly backups count to keep
    assignedVolumesCount Number
    The number of volumes currently using this Backup Policy.
    provisioningState String
    Azure lifecycle management.
    dailyBackupsToKeep Number
    Daily backups count to keep
    monthlyBackupsToKeep Number
    Monthly backups count to keep
    policyState String
    The property to identify whether Backup Policy is enabled or not
    weeklyBackupsToKeep Number
    Weekly backups count to keep

    ElasticBackupPolicyState, ElasticBackupPolicyStateArgs

    Enabled
    Enabled Value indicating the policy is enabled
    Disabled
    Disabled Value indicating the policy is disabled
    ElasticBackupPolicyStateEnabled
    Enabled Value indicating the policy is enabled
    ElasticBackupPolicyStateDisabled
    Disabled Value indicating the policy is disabled
    Enabled
    Enabled Value indicating the policy is enabled
    Disabled
    Disabled Value indicating the policy is disabled
    Enabled
    Enabled Value indicating the policy is enabled
    Disabled
    Disabled Value indicating the policy is disabled
    ENABLED
    Enabled Value indicating the policy is enabled
    DISABLED
    Disabled Value indicating the policy is disabled
    "Enabled"
    Enabled Value indicating the policy is enabled
    "Disabled"
    Disabled Value indicating the policy is disabled

    SystemDataResponse, SystemDataResponseArgs

    Metadata pertaining to creation and last modification of the resource.
    CreatedAt string
    The timestamp of resource creation (UTC).
    CreatedBy string
    The identity that created the resource.
    CreatedByType string
    The type of identity that created the resource.
    LastModifiedAt string
    The timestamp of resource last modification (UTC)
    LastModifiedBy string
    The identity that last modified the resource.
    LastModifiedByType string
    The type of identity that last modified the resource.
    CreatedAt string
    The timestamp of resource creation (UTC).
    CreatedBy string
    The identity that created the resource.
    CreatedByType string
    The type of identity that created the resource.
    LastModifiedAt string
    The timestamp of resource last modification (UTC)
    LastModifiedBy string
    The identity that last modified the resource.
    LastModifiedByType string
    The type of identity that last modified the resource.
    createdAt String
    The timestamp of resource creation (UTC).
    createdBy String
    The identity that created the resource.
    createdByType String
    The type of identity that created the resource.
    lastModifiedAt String
    The timestamp of resource last modification (UTC)
    lastModifiedBy String
    The identity that last modified the resource.
    lastModifiedByType String
    The type of identity that last modified the resource.
    createdAt string
    The timestamp of resource creation (UTC).
    createdBy string
    The identity that created the resource.
    createdByType string
    The type of identity that created the resource.
    lastModifiedAt string
    The timestamp of resource last modification (UTC)
    lastModifiedBy string
    The identity that last modified the resource.
    lastModifiedByType string
    The type of identity that last modified the resource.
    created_at str
    The timestamp of resource creation (UTC).
    created_by str
    The identity that created the resource.
    created_by_type str
    The type of identity that created the resource.
    last_modified_at str
    The timestamp of resource last modification (UTC)
    last_modified_by str
    The identity that last modified the resource.
    last_modified_by_type str
    The type of identity that last modified the resource.
    createdAt String
    The timestamp of resource creation (UTC).
    createdBy String
    The identity that created the resource.
    createdByType String
    The type of identity that created the resource.
    lastModifiedAt String
    The timestamp of resource last modification (UTC)
    lastModifiedBy String
    The identity that last modified the resource.
    lastModifiedByType String
    The type of identity that last modified the resource.

    Import

    An existing resource can be imported using its type token, name, and identifier, e.g.

    $ pulumi import azure-native:netapp:ElasticBackupPolicy account1/backupPolicyName /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.NetApp/elasticAccounts/{accountName}/elasticBackupPolicies/{backupPolicyName} 
    

    To learn more about importing existing cloud resources, see Importing resources.

    Package Details

    Repository
    Azure Native pulumi/pulumi-azure-native
    License
    Apache-2.0
    azure-native logo
    This is the latest version of Azure Native. Use the Azure Native v2 docs if using the v2 version of this package.
    Viewing docs for Azure Native v3.15.0
    published on Wednesday, Mar 4, 2026 by Pulumi
      Try Pulumi Cloud free. Your team will thank you.